GlueGen: com.jogamp.common.util.TestTempJarCache Class Reference

GlueGen v2.6.0-rc-20250706 GlueGen, Native Binding Generator for Java™ (public API).

Classes | Public Member Functions | Static Public Member Functions | List of all members
com.jogamp.common.util.TestTempJarCache Class Reference
Inheritance diagram for com.jogamp.common.util.TestTempJarCache:
Collaboration diagram for com.jogamp.common.util.TestTempJarCache:

## Classes

class | TestClassLoader

## Public Member Functions

void | testTempFileCache01FileExist () throws IOException
void | testTempFileCache02Instances () throws IOException
void | testJarUtil01a () throws IOException, IllegalArgumentException, URISyntaxException
void | testJarUtil01b () throws IOException
void | testTempJarCache00Init () throws IOException
void | testTempJarCache01LoadAllTestManifestAndClass () throws IOException, SecurityException, IllegalArgumentException, URISyntaxException
void | testTempJarCache02AddNativeLibs () throws IOException, IllegalArgumentException, URISyntaxException
void | testTempJarCache04aSameClassLoader () throws IOException
void | testTempJarCache04bDiffClassLoader () throws IOException, IllegalArgumentException, URISyntaxException
Public Member Functions inherited from com.jogamp.junit.util.JunitTracer
final String | getTestMethodName ()
final String | getSimpleTestName (final String separator)
final String | getFullTestName (final String separator)
final void | setUpBase ()
final void | tearDownBase ()

## Static Public Member Functions

static void | init ()
static void | main (final String args[]) throws IOException
Static Public Member Functions inherited from com.jogamp.junit.util.SingletonJunitCase
static final void | enableSingletonLock (final boolean v)
| Default is `true`. More...
static final void | oneTimeSetUpSingleton ()
static final void | oneTimeTearDownSingleton ()
Static Public Member Functions inherited from com.jogamp.junit.util.JunitTracer
static final boolean | isTestSupported ()
static final void | setTestSupported (final boolean v)
static final void | oneTimeSetUpBase ()
static final void | oneTimeTearDownBase ()
static void | waitForKey (final String preMessage)

## Additional Inherited Members

Public Attributes inherited from com.jogamp.junit.util.JunitTracer
final TestName | _unitTestName = new TestName()
Static Public Attributes inherited from com.jogamp.junit.util.SingletonJunitCase
static final String | SINGLE_INSTANCE_LOCK_FILE = "SingletonTestCase.lock"
static final int | SINGLE_INSTANCE_LOCK_PORT = 59999
static final long | SINGLE_INSTANCE_LOCK_TO = 15*60*1000
static final long | SINGLE_INSTANCE_LOCK_POLL = 500

## Detailed Description

Definition at line 57 of file TestTempJarCache.java.

## Member Function Documentation

## ◆ init()

static void com.jogamp.common.util.TestTempJarCache.init | ( |  | ) |

static

Definition at line 118 of file TestTempJarCache.java.

Here is the call graph for this function:

## ◆ main()

static void com.jogamp.common.util.TestTempJarCache.main | ( | final String | args[] | ) | throws IOException

static

Definition at line 267 of file TestTempJarCache.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ testJarUtil01a()

void com.jogamp.common.util.TestTempJarCache.testJarUtil01a | ( |  | ) | throws IOException, IllegalArgumentException, URISyntaxException

Definition at line 144 of file TestTempJarCache.java.

Here is the call graph for this function:

## ◆ testJarUtil01b()

void com.jogamp.common.util.TestTempJarCache.testJarUtil01b | ( |  | ) | throws IOException

Definition at line 156 of file TestTempJarCache.java.

Here is the call graph for this function:

## ◆ testTempFileCache01FileExist()

void com.jogamp.common.util.TestTempJarCache.testTempFileCache01FileExist | ( |  | ) | throws IOException

Definition at line 130 of file TestTempJarCache.java.

Here is the call graph for this function:

## ◆ testTempFileCache02Instances()

void com.jogamp.common.util.TestTempJarCache.testTempFileCache02Instances | ( |  | ) | throws IOException

Definition at line 136 of file TestTempJarCache.java.

## ◆ testTempJarCache00Init()

void com.jogamp.common.util.TestTempJarCache.testTempJarCache00Init | ( |  | ) | throws IOException

Definition at line 165 of file TestTempJarCache.java.

Here is the call graph for this function:

## ◆ testTempJarCache01LoadAllTestManifestAndClass()

void com.jogamp.common.util.TestTempJarCache.testTempJarCache01LoadAllTestManifestAndClass | ( |  | ) | throws IOException, SecurityException, IllegalArgumentException, URISyntaxException

Definition at line 175 of file TestTempJarCache.java.

Here is the call graph for this function:

## ◆ testTempJarCache02AddNativeLibs()

void com.jogamp.common.util.TestTempJarCache.testTempJarCache02AddNativeLibs | ( |  | ) | throws IOException, IllegalArgumentException, URISyntaxException

Definition at line 197 of file TestTempJarCache.java.

Here is the call graph for this function:

## ◆ testTempJarCache04aSameClassLoader()

void com.jogamp.common.util.TestTempJarCache.testTempJarCache04aSameClassLoader | ( |  | ) | throws IOException

Definition at line 231 of file TestTempJarCache.java.

Here is the call graph for this function:

## ◆ testTempJarCache04bDiffClassLoader()

void com.jogamp.common.util.TestTempJarCache.testTempJarCache04bDiffClassLoader | ( |  | ) | throws IOException, IllegalArgumentException, URISyntaxException

Definition at line 241 of file TestTempJarCache.java.

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- src/junit/com/jogamp/common/util/TestTempJarCache.java